org.apache.xmpbox

## Class XmpConstants

- java.lang.Object
- - org.apache.xmpbox.XmpConstants

    public final class XmpConstants
    extends Object

Several constants used in XMP.

### Field Summary

Fields
`static String` `ABOUT_NAME` The about attribute name.
`static String` `DEFAULT_RDF_LOCAL_NAME` The default local name for RDF.
`static String` `DEFAULT_RDF_PREFIX` The default namespace prefix for RDF.
`static String` `DEFAULT_XPACKET_BEGIN` The default xpacket header begin attribute.
`static String` `DEFAULT_XPACKET_BYTES` The default xpacket data (XMP Data).
`static String` `DEFAULT_XPACKET_ENCODING` The default xpacket header encoding attribute.
`static String` `DEFAULT_XPACKET_END` The default xpacket trailer end attribute.
`static String` `DEFAULT_XPACKET_ID` The default xpacket header id attribute.
`static String` `DESCRIPTION_NAME` The Description element name.
`static String` `LANG_NAME` The language attribute name.
`static String` `LIST_NAME` The list element name.
`static String` `PARSE_TYPE` The parse type attribute name.
`static String` `RDF_NAMESPACE` The RDF namespace URI reference.
`static String` `RESOURCE_NAME` The resource attribute name.
`static String` `X_DEFAULT` The default language code.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RDF_NAMESPACE

    public static final String RDF_NAMESPACE

The RDF namespace URI reference.

See Also:
  Constant Field Values

#### DEFAULT_XPACKET_BEGIN

    public static final String DEFAULT_XPACKET_BEGIN

The default xpacket header begin attribute.

See Also:
  Constant Field Values

#### DEFAULT_XPACKET_ID

    public static final String DEFAULT_XPACKET_ID

The default xpacket header id attribute.

See Also:
  Constant Field Values

#### DEFAULT_XPACKET_ENCODING

    public static final String DEFAULT_XPACKET_ENCODING

The default xpacket header encoding attribute.

See Also:
  Constant Field Values

#### DEFAULT_XPACKET_BYTES

    public static final String DEFAULT_XPACKET_BYTES

The default xpacket data (XMP Data).

#### DEFAULT_XPACKET_END

    public static final String DEFAULT_XPACKET_END

The default xpacket trailer end attribute.

See Also:
  Constant Field Values

#### DEFAULT_RDF_PREFIX

    public static final String DEFAULT_RDF_PREFIX

The default namespace prefix for RDF.

See Also:
  Constant Field Values

#### DEFAULT_RDF_LOCAL_NAME

    public static final String DEFAULT_RDF_LOCAL_NAME

The default local name for RDF.

See Also:
  Constant Field Values

#### LIST_NAME

    public static final String LIST_NAME

The list element name.

See Also:
  Constant Field Values

#### LANG_NAME

    public static final String LANG_NAME

The language attribute name.

See Also:
  Constant Field Values

#### ABOUT_NAME

    public static final String ABOUT_NAME

The about attribute name.

See Also:
  Constant Field Values

#### DESCRIPTION_NAME

    public static final String DESCRIPTION_NAME

The Description element name.

See Also:
  Constant Field Values

#### RESOURCE_NAME

    public static final String RESOURCE_NAME

The resource attribute name.

See Also:
  Constant Field Values

#### PARSE_TYPE

    public static final String PARSE_TYPE

The parse type attribute name.

See Also:
  Constant Field Values

#### X_DEFAULT

    public static final String X_DEFAULT

The default language code.

See Also:
  Constant Field Values